%define name	epour
%define version	20150304
%define release %mkrel 1

Summary: enlightenment bittorrent client
Name:	%{name}
Version:	%{version}
Release:	%{release}
Source0:	epour.tar.xz
Source1: epour.png
License:	GPL
Group: Graphical desktop/Enlightenment
Url: https://git.enlightenment.org/apps/epour.git/
BuildRequires: python-distutils-extra
Requires: efl
Requires: %{_lib}torrent-rasterbar7
Requires: python
Requires: python-setuptools
Requires: python-dbus
Requires: python-pyxdg
Requires: python-efl
Requires: python-libtorrent-rasterbar

%description
EFL Bittorrent client

%prep 
%setup -qn%name

%build
%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install --skip-build --root %{buildroot} 

mkdir -p %buildroot%_datadir/applications
cat > %buildroot%_datadir/applications/%name.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Epour
Comment=Epour Bittorrent Client
Exec=%name
Icon=%_datadir/pixmaps/epour.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-Internet-Mail;
EOF

mkdir -p %buildroot%_datadir/pixmaps
install -m 0644 %SOURCE1  %buildroot%_datadir/pixmaps/epour.png

%files
%doc README
%{_bindir}/epour
%{python_sitelib}/*
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/epour.png


%changelog
* Thu Mar 05 2015 bb <bb> 20150304-1pclos2015
- create package
